Package com.documentum.operations

# Interface IDfPredictiveCachingNode

All Superinterfaces:
  `IDfOperationNode`

public interface IDfPredictiveCachingNode extends IDfOperationNode
Represents a node in a predictive caching operation.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getContentPageNumber()`
  Returns the content page number for the local content file for this object.
  `String`
  `getDefaultFormat()`
  Returns the default content file format for this object in the repository.
  `String`
  `getFormat()`
  Returns the repository format name for the local content file of this object.
  `IDfEnumeration`
  `getMessageIds()`
  Returns message IDs for all messages that have been created during the operation.execute() method for this node
  `IDfSysObject`
  `getObject()`
  Returns the IDfSysObject that is the subject of this operation node.
  `IDfId`
  `getObjectId()`
  Returns the repository object ID of the IDfSysObject for this node.
  `String`
  `getPageModifier()`
  Returns the content page modifier for the local content file for this object.
  `void`
  `setContentPageNumber(int pageNumber)`
  Sets the content page number for the local content file of this object.
  `void`
  `setFormat(String formatName)`
  Sets the repository format name of the local content file for this object.
  `void`
  `setPageModifier(String pageModifier)`
  Sets the content page modifier for the local content file for this object.

  ### Methods inherited from interface com.documentum.operations.IDfOperationNode

  `getChildren, getEdgeProperties, getId, getOperation, getParent, getPersistentProperties, getProperties, isRoot`

- ## Method Details

  - ### getObject

    IDfSysObject getObject() throws DfException
    Returns the IDfSysObject that is the subject of this operation node.
    Returns:
      IDfSysObject for this node.
    Throws:
      `DfException` - if a server error occurs.
    See Also:
      - `IDfSysObject`

  - ### getObjectId

    IDfId getObjectId() throws DfException
    Returns the repository object ID of the IDfSysObject for this node.
    Returns:
      object ID of the IDfSysObject for this node.
    Throws:
      `DfException` - if a server error occurs.
    See Also:
      - `IDfTypedObject.getObjectId()`

  - ### getFormat

    String getFormat() throws DfException
    Returns the repository format name for the local content file of this object.
    Returns:
      repository format name (for example, msw6).
    Throws:
      `DfException` - if a server error occurs.
    See Also:
      - `IDfFormat`
      - `IDfSysObject.getContentType()`
      - `IDfSysObject.addRendition(java.lang.String, java.lang.String)`

  - ### getDefaultFormat

    String getDefaultFormat() throws DfException
    Returns the default content file format for this object in the repository. The default format is generally the primary rendition of the object, the value returned from IDfSysObject.getContentType().
    Returns:
      repository format name (for example, msw6).
    Throws:
      `DfException` - if a server error occurs.
    See Also:
      - `IDfFormat`
      - `IDfSysObject.getContentType()`
      - `IDfSysObject.addRendition(java.lang.String, java.lang.String)`

  - ### setFormat

    void setFormat(String formatName) throws DfException
    Sets the repository format name of the local content file for this object.
    Parameters:
      `formatName` - repository format name (for example, msw6).
    Throws:
      `DfException` - if a server error occurs.
    See Also:
      - `IDfFormat`
      - `IDfSysObject.getContentType()`
      - `IDfSysObject.addRendition(java.lang.String, java.lang.String)`

  - ### getContentPageNumber

    int getContentPageNumber() throws DfException
    Returns the content page number for the local content file for this object.
    Returns:
      content page number for the local content file for this object.
    Throws:
      `DfException` - if a server error occurs.
    See Also:
      - `IDfSysObject.setFileEx(java.lang.String, java.lang.String, int, java.lang.String)`

  - ### setContentPageNumber

    void setContentPageNumber(int pageNumber) throws DfException
    Sets the content page number for the local content file of this object.
    Parameters:
      `pageNumber` - content page number for the local content file of this object.
    Throws:
      `DfException` - if a server error occurs.
    See Also:
      - `IDfSysObject.setFileEx(java.lang.String, java.lang.String, int, java.lang.String)`

  - ### getPageModifier

    String getPageModifier() throws DfException
    Returns the content page modifier for the local content file for this object.
    Returns:
      content page modifier for the local content file for this object.
    Throws:
      `DfException` - if a server error occurs.
    See Also:
      - `IDfSysObject.getFileEx(java.lang.String, java.lang.String, int, boolean)`
      - `IDfSysObject.getFileEx2(java.lang.String, java.lang.String, int, java.lang.String, boolean)`

  - ### setPageModifier

    void setPageModifier(String pageModifier) throws DfException
    Sets the content page modifier for the local content file for this object.
    Parameters:
      `pageModifier` - content page modifier for the local content file for this object.
    Throws:
      `DfException` - if a server error occurs.
    See Also:
      - `IDfSysObject.getFileEx(java.lang.String, java.lang.String, int, boolean)`
      - `IDfSysObject.getFileEx2(java.lang.String, java.lang.String, int, java.lang.String, boolean)`

  - ### getMessageIds

    IDfEnumeration getMessageIds() throws DfException
    Returns message IDs for all messages that have been created during the operation.execute() method for this node
    Returns:
      enumeration of message IDs
    Throws:
      `DfException` - if a server error occurs.